Subject: Re: [PATCH v2] dma-mapping: treat dev->bus_dma_mask as a DMA limit

From: Christoph Hellwig <[email-masked]>
Date: Mon, 25 Nov 2019 08:44:12 +0100

On Sat, Nov 23, 2019 at 09:51:08AM -0700, Nathan Chancellor wrote:
> Just as an FYI, this introduces a warning on arm32 allyesconfig for me:

I think the dma_limit argument to iommu_dma_alloc_iova should be a u64
and/or we need to use min_t and open code the zero exception.

Robin, Nicolas - any opinions?

Also I wonder how this file gets compiled on arm32 given that arm32
has its own set of iommu dma ops..